Subject: Re: bug#36262: cannot install bootloader to root partition

From: [email-masked]
Date: Mon, 17 Jun 2019 17:11:42 +0000

I have another laptop (Lenovo G50-30) where Guix works on this partition layout I've made manually:

# fdisk -l /dev/sda
...
Device     Boot     Start       End   Sectors   Size Id Type
/dev/sda1            2048 230000000 229997953 109.7G 83 Linux
/dev/sda2       230000640 234441647   4441008   2.1G 82 Linux swap / Solaris

But all the new installations on other two notebooks with the same layout do not work.

June 17, 2019 5:07 PM, "Tobias Geerinckx-Rice" <[email-masked]> wrote:

> Znavko,
> 
> [email-masked] wrote:
> 
>> bug#36262: cannot install bootloader to root partition
> 
> Installing GRUB to your root partition isn't supported, and should
> never be necessary anyway.
> 
>> Hello! I was not able to install Guix having 2 partitions:
>> /dev/sda1 ext4 Linux filesystem
>> /dev/sda2 Linux Swap
> 
> This is a strange partition layout; it's missing a ‘BIOS boot
> partition’ and can never work without forcing GRUB to do something
> it doesn't like to do.
> 
> Did you create this layout manually? If so, why?
> 
> Kind regards,
> 
> T G-R